[android-components](../../index.md) / [mozilla.components.service.glean.scheduler](../index.md) / [PingUploadWorker](index.md) / [buildConstraints](./build-constraints.md)

# buildConstraints

`fun buildConstraints(): Constraints` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/glean/src/main/java/mozilla/components/service/glean/scheduler/PingUploadWorker.kt#L34)

Build the constraints around which the worker can be run, such as whether network
connectivity is required.

**Return**
[Constraints](#) object containing the required work constraints

